{
  config,
  lib,
  ...
}:
with lib;

let
  radicale = config.services.radicale;
in
{
  vHost =
    if radicale.enable then
      {
        extraConfig = ''
          location / {
              proxy_pass        http://127.0.0.1:5232/;
              proxy_set_header  X-Forwarded-For $proxy_add_x_forwarded_for;
              proxy_set_header  X-Forwarded-Host $host;
              proxy_set_header  X-Forwarded-Port $server_port;
              proxy_set_header  X-Forwarded-Proto $scheme;
              proxy_set_header  Host $host;
              proxy_pass_header Authorization;
          }
        '';
      }
    else
      { };
}
.vHost
